Subject: Re: [PATCH] git gui spanish translation.

From: Alejandro Riveira Fernández <[email-masked]>
Date: Wed, 03 Feb 2010 21:37:54 +0100

El mié, 03-02-2010 a las 20:13 +0100, Wincent Colaiuta escribió:

Comments

> 
> > +#: lib/branch_create.tcl:80
> > +msgid "Fast Forward Only"
> > +msgstr "Solo Fast Forward"
> 
> Solo -> Sólo

You only have to use sólo in case there is the posibility of
missanderstand it. Does not aply here or anywhere else in the
patch

> 
> > +#: lib/browser.tcl:267 lib/browser.tcl:273
> > +msgid "Browse Branch Files"
> > +msgstr "Explora los ficheros de la rama"
> 
> Explora -> Explorar
> 
> You need to use the infinitive consistently for command verbs. You are  
> doing it in some places but not in others.

Changed my mind during the translation about using one of the other ...

> 
> Style issue here... Do you think "obtener" might be a better  
> translation than "traer" here (and in the other places where you are  
> translating "fetch")?

 I'm open to sugestions. the same problem with "commit" (either verb or
noun) tracking branch, push ( propagar is ok? ) etc... 

 Those terms do not have a clear translation to spanish so we are
inventing language here

> 
> Traer is closer to "bring", imo.

 Ok will ponder

> > +#: lib/merge.tcl:55
> > +#, tcl-format
> > +msgid ""
> > +"You are in the middle of a change.\n"
> > +"\n"
> > +"File %s is modified.\n"
> > +"\n"
> > +"You should complete the current commit before starting a merge.   
> > Doing so "
> > +"will help you abort a failed merge, should the need arise.\n"
> > +msgstr ""
> > +"Esta en el medio de un cambio.\n"
> > +"\n"
> > +"El fichero %s ha sido modificado.\n"
> > +"\n"
> > +"Debería completar la revisión actual antes de comenzar la fusión.\n"
> > +"Hacer eso le ayudará a cancelar una fusión fallida si surgiese la  
> > \n"
> > +"necesidad.\n"
> 
> Esta -> Está
> 
> fallida -> fallada

They are equivalent 

> 
> > +#: lib/remote_branch_delete.tcl:189
> > +#, tcl-format
> > +msgid ""
> > +"One or more of the merge tests failed because you have not fetched  
> > the "
> > +"necessary commits.  Try fetching from %s first."
> > +msgstr ""
> > +"Una o mas de las comprobaciones de fusión fallaron porque no se  
> > trajeron las\n"
> > +"revisones necesarias. Intente trayendolas de %s primero."
> 
> Don't you think:
> 
>    trayendolas -> traerlas

Ok

> > +#: lib/spellcheck.tcl:388
> > +msgid "Unexpected EOF from spell checker"
> > +msgstr "EOF inesperado desde el corrector ortográfico"
> 
> I'm not sure what the standard translation of EOF is, but seeing as it  
> stands for "End Of File" it wouldn't surprise me if there is something  
> similar in Spanish like "FDA" (Fin De Archivo) or something similar...?

 I think people use the EOF just like they use NULL or cd-rom or many
other neologism

> > +#: lib/transport.tcl:175
> > +msgid "Use thin pack (for slow network connections)"
> > +msgstr "Usar paquete ligero (thin pack) (para conexiones de red  
> > lentas)"
> 
> Don't think you need "thin pack" here.

Well believe my first translation had many other terms in both
English and Spanish. I feared to just create confusion translating
everything (because there are no docs in spanish)

> Cheers,
> Wincent